function [un_finale]=delfini2(Nh)
% un_finale=delfini2(Nh): risolve il problema 
% `I delfini delle isole Eolie (2)' con Nh passi temporali
% definisco i dati del problema
t0=2017.5; tf=2025.5; % estremi dell'intervallo temporale
y0=100;              % condizione iniziale
f=@(t,y)(0.06-0.03*(2-exp(-5*(sin(t*pi))^2)))*y; % funzione f(t,y)
% calcolo la soluzione numerica con il metodo di Eulero
[tn,un]=eulero(f,t0,tf,y0,Nh); 
un_finale=un(end); % salvo la soluzione numerica al tempo tf 
% disegno la soluzione numerica su tutto l'intervallo temporale
figure(1);
plot(tn,un,'.','Markersize',16); grid on; hold on
xlabel('t'); ylabel('y(t)')
