function naselli_squali(Nh)
% naselli_squali(Nh): risolve il problema Naselli e squali
% con il metodo di Eulero e fissando Nh passi temporali
t0=0; tf=80; % estremi dell'intervallo temporale
p0=5000; s0=40; % condizioni iniziali
rp=.6; rs=-.2; Kp=3.e5; sigmap=rp/Kp; %dati
sigmas=1.e-4; alpha=0.001; mu=.01;
f1=@(t,p,s)(rp-sigmap*p-alpha*s)*p; 
f2=@(t,p,s)(rs-sigmas*s+mu*alpha*p)*s;
% calcolo la soluzione numerica con il metodo di Eulero
[tn,un,vn]=eulero2(f1,f2,t0,tf,p0,s0,Nh);
fprintf('%6.0f naselli e %6.0f squali al tempo t=%d \n',...
    un(end),vn(end),tf) % stampa a video
% disegno la soluzione numerica 
% il comando plotyy utilizza due scale differenti sullo stesso grafico
figure(1); clf; plotyy(tn,un,tn,vn); grid on
% disegno il piano delle fasi 
figure(2); clf; plot(un(1),vn(1),'r*',un,vn); grid on

