function naselli_squali_pesca_bis(Nh)
% naselli_squali_pesca_bis(Nh): risolve il problema Naselli e Squali
% con pesca, con il metodo di Eulero e fissando Nh passi temporali
% definisco i dati del problema
t0=0; tf=80; % estremi dell'intervallo temporale
p0=5000; s0=40; % condizioni iniziali
rp=.6; rs=-.2; Kp=3.e5; sigmap=rp/Kp; % dati
sigmas=1.e-4; alpha=0.001; mu=.01;
figure(1); clf; figure(2); clf; % pulisco le figure
for bd=[0.4,0.5,0.6] % ciclo sui tre diversi valori di bd
f1=@(t,p,s)(rp-sigmap*p-alpha*s-bd)*p;
f2=@(t,p,s)(rs-sigmas*s+mu*alpha*p-bd)*s;
% calcolo la soluzione numerica con il metodo di Eulero
[tn,un,vn]=eulero2(f1,f2,t0,tf,p0,s0,Nh);
% disegno la soluzione numerica
figure(1); plot(tn,un); hold on; grid on
figure(2); plot(tn,vn); hold on; grid on
end
figure(1); 
xlabel('t'); ylabel('prede (naselli)');
legend('bd=0.4','bd=0.5','bd=0.6')
figure(2); 
xlabel('t'); ylabel('predatori (squali)');
legend('bd=0.4','bd=0.5','bd=0.6')
