function problema_di_cauchy(Nh)
% problema_di_cauchy(Nh): risolve il problema di Cauchy con il metodo
% di Eulero e fissando Nh passi temporali
% definisco i dati del problema
t0=0; tf=10; % estremi dell'intervallo temporale
y0=0;        % condizione iniziale
f=@(t,y)(cos(t)-y)./(t+1); % funzione f(t,y)
% calcolo la soluzione numerica con il metodo di Eulero
[tn,un]=eulero(f,t0,tf,y0,Nh); 
% disegno la soluzione numerica
figure(1); clf
plot(tn,un,'.','Markersize',16); grid on; hold on
xlabel('t'); ylabel('y(t)')
